Pytorch installation issue

When I am installing pytorch using
pip install torch
and then import torch in python, it throws the following error:
>>> import torch
Traceback (most recent call last):
_ File “”, line 1, in _
_ File “/home/shubhamb/anaconda2/lib/python2.7/site-packages/torch/init.py”, line 78, in _
_ from torch.C import *
ImportError: /state/partition1/softwares/glibc-2.14/lib/libc.so.6: version `GLIBC_2.17’ not found (required by /home/shubhamb/anaconda2/lib/python2.7/site-packages/torch/lib/libgomp-c0d7b783.so.1)

But when I install it with
conda install pytorch torchvision cuda80 -c pytorch

import torch is successful.

Is it really necessary to have glibc2.17 ? and how does installation from pip and conda differ?
With conda installation, I am facing further issues with warp-ctc.

Kindly help.
Thanks

1 Like